# Yeoman generator for React.js projects

[![NPM version](http://img.shields.io/npm/v/generator-react-fullstack.svg?style=flat-square)](http://npmjs.org/generator-react-fullstack)
[![NPM downloads](http://img.shields.io/npm/dm/generator-react-fullstack.svg?style=flat-square)](http://npmjs.org/generator-react-fullstack)
[![Build Status](http://img.shields.io/travis/kriasoft/react-starter-kit/yeoman-generator.svg?style=flat-square)](https://travis-ci.org/kriasoft/react-starter-kit/branches)

> Yeoman generator based on [React Starter Kit](http://www.reactstarterkit.com) —
> a skeleton of an "isomorphic" web application / SPA built with
> [React.js](https://facebook.github.io/react/),
> [Express](http://expressjs.com/), [Flux](https://facebook.github.io/flux),
> [ES6+](https://github.com/lukehoban/es6features),
> [JSX](https://facebook.github.io/react/docs/jsx-in-depth.html),
> [Babel](http://babeljs.io/), [PostCSS](https://github.com/postcss/postcss),
> [Webpack](http://webpack.github.io/), [BrowserSync](http://browsersync.io/).

## Getting Started

### What is Yeoman?

Trick question. It's not a thing. It's this guy:

![](http://i.imgur.com/JHaAlBJ.png)

Basically, he wears a top hat, lives in your computer, and waits for you to tell him what kind of application you wish to create.

Not every new computer comes with a Yeoman pre-installed. He lives in the [npm](https://npmjs.org) package repository. You only have to ask for him once, then he packs up and moves into your hard drive. *Make sure you clean up, he likes new and shiny things.*

```bash
npm install -g yo
```

### Yeoman Generators

Yeoman travels light. He didn't pack any generators when he moved in. You can think of a generator like a plug-in. You get to choose what type of application you wish to create, such as a Backbone application or even a Chrome extension.

To install generator-javascript from npm, run:

```bash
npm install -g generator-react-fullstack
```

Finally, initiate the generator:

```bash
yo react-fullstack
```

### Getting To Know Yeoman

Yeoman has a heart of gold. He's a person with feelings and opinions, but he's very easy to work with. If you think he's too opinionated, he can be easily convinced.

If you'd like to get to know Yeoman better and meet some of his friends, [Grunt](http://gruntjs.com) and [Bower](http://bower.io), check out the complete [Getting Started Guide](https://github.com/yeoman/yeoman/wiki/Getting-Started).

## License

Copyright © Konstantin Tarkus ([@koistya](https://twitter.com)) &nbsp;|&nbsp; The MIT License
